I am getting glibc errors

Discussion in 'Technical' started by Ovidiu, Nov 23, 2005.

  1. Ovidiu

    Ovidiu Active Member

    I do not know anything about this, so I`ll post some lines from my logfiles:

    Any idea how to track this error down and remove?
     
  2. themachine

    themachine New Member HowtoForge Supporter ISPConfig Developer


    What OS and version are you running?


    What version of glibc is it? Please post the output of one of the following:

    RedHt/Fedorea:
    Code:
    # rpm -qa | grep -i glibc
    
    or
    
    # rpm -qa | grep -i libc6
    
    or something...
    
    Debian:
    Code:
    # dpkg -l libc6
    
     
  3. Ovidiu

    Ovidiu Active Member

    debian 3.1

     
  4. themachine

    themachine New Member HowtoForge Supporter ISPConfig Developer

    Last edited: Dec 5, 2005
  5. Ovidiu

    Ovidiu Active Member

    I already googled around, I remember seeing that post too, but as I have not programmed anything, using only ready - made packages (almost) I thought no longer about this issue...

    I guess I'll try a downgrade tonight but I do not remember who or what programm requiered newer version of libc6...
     
  6. Ovidiu

    Ovidiu Active Member

    if I downgrade to that version with apt-get install libc6=2.3.2.ds1-22 there are a lot of packages marked for removal.
    How would I also mark those dependencies for downgrade ?

    While waiting for help I will upgrade libc6 to its unstable version which will only upgrade 2 more packages to unstable, maybe the problem is solved with the never package!?

    the upgrade helped with ftp uploads, it no longer disconnects me when uploading but when trying to list a remote folder it still gives glibc errors...

    any suggestion on how to downgrade libc6 and its dependencies? or might an upgrade of proftpd help?
     
    Last edited: Dec 5, 2005
  7. Ovidiu

    Ovidiu Active Member

    to revive that old post:

    I did not succeed in downgrading, upgrading did not help.

    maybe someone can help here:

     
  8. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    To be honest: it's not the best idea to upgrade/downgrade glibc, because too many programs rely on it. If you do it nevertheless, chances are good that you mess up your system.

    If it is not a production system, I'd suggest that you re-install the system from the beginning.
     
  9. Ovidiu

    Ovidiu Active Member

    ok I udnerstood that but is it technicall ypossible?

    i.e. If I upgrade a package, packages relying upon it are automatically marked for upgrade as well, but if I downgrade a package the packages depending on it are marked for deletion instead, so how would I go about this if I would want to do it?
     
  10. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    I've never been able to upgrade/downgrade glibc without getting dependancy errors, so - theoretically it should be possible, practically it's more than difficult... :(
     
  11. agelospanagiotakis

    agelospanagiotakis New Member

    what is going on?

    i get these error too on ubuntu 6.06 LTS dapper drake! :mad:


    *** glibc detected *** double free or corruption (!prev): 0x082bdc68 ***
    [Mon Jun 19 20:22:42 2006] [notice] child pid 5941 exit signal Aborted (6)
    *** glibc detected *** double free or corruption (!prev): 0x082f5660 ***
    [Mon Jun 19 20:23:13 2006] [notice] child pid 7035 exit signal Aborted (6)
    *** glibc detected *** double free or corruption (!prev): 0x082f5428 ***
    [Mon Jun 19 20:36:15 2006] [notice] child pid 7083 exit signal Aborted (6)
    *** glibc detected *** double free or corruption (!prev): 0x082bd898 ***
    [Mon Jun 19 20:38:08 2006] [notice] child pid 7270 exit signal Aborted (6)
    *** glibc detected *** double free or corruption (!prev): 0x082d7020 ***
    [Mon Jun 19 20:38:35 2006] [notice] child pid 7324 exit signal Aborted (6)
    *** glibc detected *** double free or corruption (!prev): 0x082d85b0 ***
    [Mon Jun 19 20:39:39 2006] [notice] child pid 7336 exit signal Aborted (6)
    *** glibc detected *** double free or corruption (!prev): 0x082d7020 ***
    [Mon Jun 19 20:39:48 2006] [notice] child pid 7593 exit signal Aborted (6)
    *** glibc detected *** double free or corruption (!prev): 0x082d7020 ***
    [Mon Jun 19 20:55:48 2006] [notice] child pid 7605 exit signal Aborted (6)
    *** glibc detected *** double free or corruption (!prev): 0x082d7020 ***
    [Mon Jun 19 21:11:52 2006] [notice] child pid 9246 exit signal Aborted (6)
    *** glibc detected *** double free or corruption (!prev): 0x082d73f0 ***
    [Mon Jun 19 21:27:29 2006] [notice] child pid 9906 exit signal Aborted (6)
    *** glibc detected *** double free or corruption (!prev): 0x082d9300 ***
    [Mon Jun 19 21:27:54 2006] [notice] child pid 8169 exit signal Aborted (6)
    *** glibc detected *** malloc(): memory corruption: 0x082dbcb0 ***
    [Mon Jun 19 21:44:42 2006] [notice] child pid 10039 exit signal Aborted (6)
    *** glibc detected *** corrupted double-linked list: 0x082f14a0 ***
    [Mon Jun 19 21:44:52 2006] [notice] child pid 10346 exit signal Aborted (6)
    *** glibc detected *** corrupted double-linked list: 0x082f14a0 ***
    [Mon Jun 19 22:04:41 2006] [notice] child pid 10351 exit signal Aborted (6)
    *** glibc detected *** corrupted double-linked list: 0x082f14a0 ***
    [Mon Jun 19 22:09:40 2006] [notice] child pid 10721 exit signal Aborted (6)
    :eek:

    THE COMMAND
    #dpkg -l libc6
    RETURNS
    Desired=Unknown/Install/Remove/Purge/Hold
    | Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
    |/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
    ||/ Όνομα Έκδοση Περιγραφή
    +++-=============================-=============================-==========================================================================
    ii libc6 2.3.6-0ubuntu20 GNU C Library: Shared libraries and Timezone data

    in ubuntu libc is in the following pachages:
    libc6
    libc6-dev
    libc6-i686
    witch when i uninstall it removes also the package ubuntu-minimal


    so is it there a solution ?

    I cant uninstall my system!!!! i mean it!
     
  12. themachine

    themachine New Member HowtoForge Supporter ISPConfig Developer

    Where are you getting these errors?


    I had a issue a few weeks ago where a box had a mismatched version of ZendOptimizer and PHP. Basically, Zend was causing the glibc error, and Apache was segfaulting. If it is related to Apache/PHP, try the following:


    php < /dev/null


    You should get no output. However, if you get the glibc error, then it is related to PHP. Uninstall Zend, re-install the proper version:

    PHP 4.x -> ZendOptimizer 2.6.x
    PHP 5.x -> ZendOptimizer 3.x


    Or something like that... if this is even related to PHP/Apache...
     
  13. agelospanagiotakis

    agelospanagiotakis New Member

    with
    php < /dev/null
    i get no errors
    my PHP is versioned 5.1.2

    i have apache
    Server version: Apache/2.0.55
    Server built: May 29 2006 01:52:53
    installed

    i recently installed ISPconfig..... and then my server on the address
    https://________:81/
    can not go from main ISPConfig page (index.php) to login.php (wants me to download a file named login.php ) - witch is empty!
    the apache log file is posted in my prev post
     
  14. agelospanagiotakis

    agelospanagiotakis New Member

    i forgot to mention that the end of a NOT FOUND web page
    I GET THESE:

    Apache/2.0.55 (Ubuntu) mod_auth_kerb/5.0-rc6 DAV/2 SVN/1.3.1 mod_fastcgi/2.4.2 mod_jk/1.2.14 mod_ldap_userdir/1.1.8 mod_mono/1.1.10 mod_python/3.1.4 Python/2.4.3 proxy_html/2.4 mod_ruby/1.2.5 Ruby/1.8.4(2005-12-24) mod_ssl/2.0.55 OpenSSL/0.9.8a

    SOULDN'T there be a mod_php ( parammeter) ?
    i know that ISPConfig makes it not default to apache.
    so i guess the error is from ISPConfig , right ?
     
  15. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    You're mixing things up.

    comes from your main Apache, not from the ISPConfig Apache (ISPConfig comes with its own Apache that serves the ISPConnfig web interface on port 81).

    If the ISPConfig Apache doesn't serve the ISPConfig interface correctly, then there's something wrong with ISPConfig's PHP.
    What's the output of
    Code:
    ls -la /root/ispconfig/php
    ? What's the output of
    Code:
    /root/ispconfig/php/php -v
    ?
     
  16. agelospanagiotakis

    agelospanagiotakis New Member

    well the problem was solved .... thanks !

    well the problem was solved .... i uninstalled everithing
    firstly ispconfig , then mysql and then apache/php ... then installed again.
    thanks anyway!
    now the cmd promt returns

    $ls -la /root/ispconfig/php
    total 64
    drwxr-xr-x 6 root root 4096 2006-06-20 14:31 .
    drwxr-xr-x 9 root root 4096 2006-06-20 20:23 ..
    drwxr-xr-x 2 root root 4096 2006-06-20 14:31 bin
    drwxr-xr-x 3 root root 4096 2006-06-20 14:30 include
    drwxr-xr-x 3 root root 4096 2006-06-20 14:30 lib
    drwxr-xr-x 3 root root 4096 2006-06-20 14:30 man
    lrwxrwxrwx 1 root root 27 2006-06-20 14:37 php -> /root/ispconfig/php/bin/php
    -rw-r--r-- 1 root root 38517 2005-07-14 17:27 php.ini
    $ /root/ispconfig/php/php -v
    PHP 5.1.4 (cli) (built: Jun 20 2006 14:30:15)
    Copyright (c) 1997-2006 The PHP Group
    Zend Engine v2.1.0, Copyright (c) 1998-2006 Zend Technologies

    but i finaly have one more difficulty .....
    i cant get my websites up ....

    I get an Error 403 (Access forbidden!) on my normal http://_____ site
    and on https://_____:81 i get ISPConfig control panel ( finaly i can login) !

    why does it search for index.html in /var/www/ while it is in /var/www/web1/web/ ?
     
  17. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    What's in Vhosts_ispconfig.conf?
     
  18. agelospanagiotakis

    agelospanagiotakis New Member

    empty Vhosts_ispconfig.conf

    the file
    /etc/apache2/vhosts/Vhosts_ispconfig.conf
    is empty....

    is that so bad ?
     
  19. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    That means that your vhsot configuration wasn't written. What's the output of
    Code:
    ls -la /etc/apache2/vhosts
    ?
     
  20. jeffrey.moncrieff

    jeffrey.moncrieff New Member

    Ubuntu Dapper error with ispconfig tcpserver

    I have setup one of clients with ispconfig. Evey thing seems to work but I am get a error Message when we boot up the node like
    ______________________________________________________
    /etc/init.d/ispconfig_tcpserver start
    Starting ispconfig_tcpserver
    root@srs:~# /home/admispconfig/ispconfig/tools/tcpserver/ispconfig_tcpserver: relocation error: /home/admispconfig/ispconfig/tools/tcpserver/ispconfig_tcpserver: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference
    /home/admispconfig/ispconfig/tools/tcpserver/ispconfig_tcpserver: relocation error: /home/admispconfig/ispconfig/tools/tcpserver/ispconfig_tcpserver: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference
    /home/admispconfig/ispconfig/tools/tcpserver/ispconfig_tcpserver: relocation error: /home/admispconfig/ispconfig/tools/tcpserver/ispconfig_tcpserver: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference
    /home/admispconfig/ispconfig/tools/tcpserver/ispconfig_tcpserver: relocation error: /home/admispconfig/ispconfig/tools/tcpserver/ispconfig_tcpserver: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference

    ______________
    Evey things seems to be working fine.

    any ideas
     

Share This Page